<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: MeasurementState.hpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a>  </div>
  <div class="headertitle">
<div class="title">MeasurementState.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;QString&gt;</code><br/>
<code>#include &lt;QStringList&gt;</code><br/>
<code>#include &quot;<a class="el" href="Timer_8hpp_source.html">Timer.hpp</a>&quot;</code><br/>
</div><div class="textblock"><div class="dynheader">
Include dependency graph for MeasurementState.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="MeasurementState_8hpp__incl.png" border="0" usemap="#MeasurementState_8hpp" alt=""/></div>
<map name="MeasurementState_8hpp" id="MeasurementState_8hpp">
<area shape="rect" id="node7" href="Timer_8hpp.html" title="Timer.hpp" alt="" coords="205,83,285,112"/></map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="MeasurementState_8hpp__dep__incl.png" border="0" usemap="#MeasurementState_8hppdep" alt=""/></div>
<map name="MeasurementState_8hppdep" id="MeasurementState_8hppdep">
<area shape="rect" id="node3" href="StateManager_8hpp.html" title="StateManager.hpp" alt="" coords="285,83,413,112"/><area shape="rect" id="node19" href="SmarActActuatorSystem_8hpp.html" title="SmarActActuatorSystem.hpp" alt="" coords="583,160,775,189"/><area shape="rect" id="node30" href="ForceSensor_8cpp.html" title="ForceSensor.cpp" alt="" coords="640,83,760,112"/><area shape="rect" id="node33" href="MeasurementState_8cpp.html" title="MeasurementState.cpp" alt="" coords="784,83,941,112"/><area shape="rect" id="node5" href="DataLogger_8cpp.html" title="DataLogger.cpp" alt="" coords="5,160,120,189"/><area shape="rect" id="node7" href="Experiment_8hpp.html" title="Experiment.hpp" alt="" coords="376,160,488,189"/><area shape="rect" id="node15" href="StateManager_8cpp.html" title="StateManager.cpp" alt="" coords="93,237,221,267"/><area shape="rect" id="node17" href="ForceMeasurement_8cpp.html" title="ForceMeasurement.cpp" alt="" coords="195,160,352,189"/><area shape="rect" id="node9" href="Experiment_8cpp.html" title="Experiment.cpp" alt="" coords="245,237,357,267"/><area shape="rect" id="node11" href="HardwareManager_8cpp.html" title="HardwareManager.cpp" alt="" coords="488,237,640,267"/><area shape="rect" id="node13" href="Robot_8cpp.html" title="Robot.cpp" alt="" coords="381,237,464,267"/><area shape="rect" id="node22" href="SmarActActuatorAxis_8hpp.html" title="SmarActActuatorAxis.hpp" alt="" coords="664,237,837,267"/><area shape="rect" id="node27" href="SmarActActuatorSystem_8cpp.html" title="SmarActActuatorSystem.cpp" alt="" coords="861,237,1053,267"/><area shape="rect" id="node25" href="SmarActActuatorAxis_8cpp.html" title="SmarActActuatorAxis.cpp" alt="" coords="664,315,837,344"/></map>
</div>
</div>
<p><a href="MeasurementState_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMeasurementState.html">MeasurementState</a></td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
